petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecTaggerComputeIS

Use a VecTagger context to tag a set of indices based on a vector's values

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecTaggerComputeIS(VecTagger tagger,Vec vec,IS *is)

Collective on VecTagger

### Input Aguments

| tagger | - the VecTagger context
| vec | - the vec to tag

### Output Arguments

IS -a list of the indices tagged by the tagger, i.e., if the number of local indices will be n / bs, where n is VecGetLocalSize() and bs is VecTaggerGetBlockSize().

### See Also

VecTaggerComputeBoxes()

### Level

advanced

### Location

src/vec/vec/utils/tagger/interface/tagger.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex11.c.html

### Implementations

VecTaggerComputeIS_And in src/vec/vec/utils/tagger/impls/and.c
VecTaggerComputeIS_Or in src/vec/vec/utils/tagger/impls/or.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages